> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.core/interfaces/wisej.core.iwisejeditorservice.md).

# IWisejEditorService

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides an interface for a [UITypeEditor](https://github.com/iceteagroup/wisej-docs-api/blob/v4.0/api?q=wisej.web.uitypeeditor) to display an editor form or a control in a drop-down area from a property grid control.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IWisejEditorService
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IWisejEditorService
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) CloseDropDown()

Closes any previously opened drop down control area.

### ![](/files/hsR4ok3152WyAf8J2C1u) DropDownControl(control)

Displays the specified control in a modal drop down panel below a value field of the property grid that provides this service and waits for the user to close the drop down.

| Parameter   | Type                                         | Description                                                                            |
| ----------- | -------------------------------------------- | -------------------------------------------------------------------------------------- |
| **control** | [Control](/api/wisej.web/general/control.md) | The [Control](/api/wisej.web/general/control.md) to show in the modal drop down panel. |

### ![](/files/hsR4ok3152WyAf8J2C1u) DropDownControlAsync(control)

Displays the specified control in an asynchronous modal drop down panel below a value field of the property grid that provides this service.

| Parameter   | Type                                         | Description                                                                                         |
| ----------- | -------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| **control** | [Control](/api/wisej.web/general/control.md) | The [Control](/api/wisej.web/general/control.md) to show in the asynchronous modal drop down panel. |

**Returns:** [Task](https://docs.microsoft.com/dotnet/api/system.threading.tasks.task). A [Task](https://docs.microsoft.com/dotnet/api/system.threading.tasks.task) that the user code that await on.

### ![](/files/hsR4ok3152WyAf8J2C1u) ShowDialog(dialog)

Shows the specified [Form](/api/wisej.web/containers/form.md) and returns its [DialogResult](/api/wisej.web/containers/form.md#dialogresult) when the user closes it.

| Parameter  | Type                                      | Description                                                                    |
| ---------- | ----------------------------------------- | ------------------------------------------------------------------------------ |
| **dialog** | [Form](/api/wisej.web/containers/form.md) | The modal [Form](/api/wisej.web/containers/form.md) to display asynchronously. |

**Returns:** [DialogResult](/api/wisej.web/enumerations/wisej.web.dialogresult.md). A [DialogResult](/api/wisej.web/enumerations/wisej.web.dialogresult.md) indicating the result returned by the *dialog* .

### ![](/files/hsR4ok3152WyAf8J2C1u) ShowDialogAsync(dialog)

Shows the specified [Form](/api/wisej.web/containers/form.md) asynchronously and returns its [DialogResult](/api/wisej.web/containers/form.md#dialogresult) when the user closes it.

| Parameter  | Type                                      | Description                                                                    |
| ---------- | ----------------------------------------- | ------------------------------------------------------------------------------ |
| **dialog** | [Form](/api/wisej.web/containers/form.md) | The modal [Form](/api/wisej.web/containers/form.md) to display asynchronously. |

**Returns:** [Task\<DialogResult>](https://docs.microsoft.com/dotnet/api/system.threading.tasks.task-1). A [DialogResult](/api/wisej.web/enumerations/wisej.web.dialogresult.md) wrapped in a [Task](https://docs.microsoft.com/dotnet/api/system.threading.tasks.task) indicating the result returned by the *dialog* .


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/interfaces/wisej.core.iwisejeditorservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
